#!/usr/bin/env python

from numpy import mean

image = "lena-171"

new = file(image+"/results.txt").readlines()
old = file(image+"/results.old.txt").readlines()

measures = ("psnr", "ssim")
threshold = (0.1, 0.01)

diffs = [[], []]

for i in xrange(1, len(new)):
    vals = new[i].split()
    oldvals = old[i].split()
    
    for j in xrange(1,3):
        diff = float(oldvals[j]) - float(vals[j])
        diffs[j-1] += [diff]
        if abs(diff) > threshold[j-1]:
            print vals[0], measures[j-1], diff 

print "mean psnr diff", mean(diffs[0])
print "mean ssim diff", mean(diffs[1])
